Bug 83667 - NoSuchMethodError: java.net.URL.toURI()Ljava/net/URI from com.itgp.modules.xtt.Utility.getThisModulesRootInstallDir
NoSuchMethodError: java.net.URL.toURI()Ljava/net/URI from com.itgp.modules.xt...
Status: CLOSED FIXED
Product: third-party
Classification: Unclassified
Component: xtt
5.x
All All
: P1 (vote)
: 5.x
Assigned To: twojenski
issues@third-party
:
: 82869 83336 87388 87605 87806 87943 88202 (view as bug list)
Depends on:
Blocks: 87943
  Show dependency treegraph
 
Reported: 2006-08-29 07:08 UTC by marcocanonico
Modified: 2006-12-05 19:54 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description marcocanonico 2006-08-29 07:08:52 UTC
-------------------------------------------------------------------------------
>Log Session: Monday, August 28, 2006 4:17:59 PM CEST
>System Info: 
  Product Version         = NetBeans IDE 5.0 (Build 200601251500)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor; Home  = 1.4.2_11; Java HotSpot(TM) Client VM 1.4.2_11-b06;
Sun Microsystems Inc.; C:\j2sdk1.4.2_11\jre
  System Locale; Encoding = en_GB (nb); Cp1252
  Home Dir.; Current Dir. = C:\Documents and Settings\canonma; C:\Program
Files\netbeans-5.0
  Installation; User Dir. = C:\Program Files\netbeans-5.0\nb5.0;C:\Program
Files\netbeans-5.0\ide6;C:\Program Files\netbeans-5.0\enterprise2;C:\Program
Files\netbeans-5.0\harness;C:\Program Files\netbeans-5.0\platform6; C:\Documents
and Settings\canonma\.netbeans\5.0
  Boot & Ext. Classpath   =
C:\j2sdk1.4.2_11\jre\lib\rt.jar;C:\j2sdk1.4.2_11\jre\lib\i18n.jar;C:\j2sdk1.4.2_11\jre\lib\sunrsasign.jar;C:\j2sdk1.4.2_11\jre\lib\jsse.jar;C:\j2sdk1.4.2_11\jre\lib\jce.jar;C:\j2sdk1.4.2_11\jre\lib\charsets.jar;C:\j2sdk1.4.2_11\jre\classes;C:\j2sdk1.4.2_11\jre\lib\ext\dnsns.jar;C:\j2sdk1.4.2_11\jre\lib\ext\ldapsec.jar;C:\j2sdk1.4.2_11\jre\lib\ext\localedata.jar;C:\j2sdk1.4.2_11\jre\lib\ext\sunjce_provider.jar
  Application Classpath   = C:\Program
Files\netbeans-5.0\platform6\lib\boot.jar;C:\Program
Files\netbeans-5.0\platform6\lib\org-openide-modules.jar;C:\Program
Files\netbeans-5.0\platform6\lib\org-openide-util.jar;C:\j2sdk1.4.2_11\lib\dt.jar;C:\j2sdk1.4.2_11\lib\tools.jar
  Startup Classpath       = C:\Program
Files\netbeans-5.0\platform6\core\core.jar;C:\Program
Files\netbeans-5.0\platform6\core\org-openide-filesystems.jar;C:\Program
Files\netbeans-5.0\nb5.0\core\org-netbeans-upgrader.jar;C:\Program
Files\netbeans-5.0\nb5.0\core\locale\core_nb.jar;C:\Program
Files\netbeans-5.0\ide6\core\org-netbeans-modules-utilities-cli.jar
-------------------------------------------------------------------------------
[WARNING] Warning: the module org.netbeans.modules.projectimport.jbuilder uses
OpenIDE-Module-IDE-Dependencies which is deprecated. See
http://openide.netbeans.org/proposals/arch/modularize.html
[WARNING] Warning - had to upgrade dependencies for module
org.netbeans.modules.projectimport.jbuilder: added = [module org.openide.compat
> 6.0, module org.openide.actions > 6.0, module org.openide.util > 6.0, module
org.openide.util.enumerations > 6.0, module org.openide.loaders > 5.3, module
org.openide.awt > 6.0, module org.openide.modules > 6.0, module
org.openide.filesystems > 6.0, module org.openide.options > 6.0, module
org.openide.windows > 6.0, module org.openide.dialogs > 6.0, module
org.openide.nodes > 6.0, module org.openide.text > 6.0, module
org.openide.explorer > 6.0] removed = [module org.openide.loaders, module
org.openide/1 > 5.1]; details: [openide.jar split into smaller parts. See
http://openide.netbeans.org/proposals/arch/modularize.html and use 'ant
fix-dependencies' if your project is projectized.]
Warning - could not install some modules:
	JMX - Java > 1.5
[org.netbeans.core.modules] Disabling openide load optimizations due to use of
org.openide.compat
[org.netbeans.core.modules] Warning: the module org.netbeans.modules.vcscore
uses org.openide.compat which is deprecated: The classes in this API are all
deprecated and can be replaced by more modern APIs.
[org.netbeans.core.modules] Warning: the module
org.netbeans.modules.vcs.advanced uses org.openide.compat which is deprecated:
The classes in this API are all deprecated and can be replaced by more modern APIs.
[org.netbeans.core.modules] Warning: the module
org.netbeans.modules.projectimport.jbuilder uses org.openide.compat which is
deprecated: The classes in this API are all deprecated and can be replaced by
more modern APIs.
[org.netbeans.core.modules] Warning: the module
org.netbeans.modules.projectimport.jbuilder uses org.openide.util.enumerations
which is deprecated: Use org.openide.util.Enumerations instead of this module.
[org.netbeans.core.modules] *********** Exception occurred ************ at 4:21
PM on Aug 28, 2006
java.lang.IllegalArgumentException: java.lang.reflect.InvocationTargetException
	at org.openide.util.SharedClassObject.findObject(SharedClassObject.java:482)
	at org.netbeans.core.startup.NbInstaller.loadCode(NbInstaller.java:338)
[catch] at org.netbeans.core.startup.NbInstaller.load(NbInstaller.java:276)
	at org.netbeans.ModuleManager.enable(ModuleManager.java:898)
	at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:377)
	at org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:311)
	at org.netbeans.core.startup.ModuleSystem.restore(ModuleSystem.java:244)
	at org.netbeans.core.startup.Main.getModuleSystem(Main.java:206)
	at org.netbeans.core.startup.Main.start(Main.java:377)
	at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:90)
	at java.lang.Thread.run(Thread.java:534)
Caused by: java.lang.reflect.InvocationTargetException
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at
sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
	at
sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:274)
	at
org.openide.util.SharedClassObject.createInstancePrivileged(SharedClassObject.java:605)
	at
org.openide.util.SharedClassObject$SetAccessibleAction.run(SharedClassObject.java:974)
	at java.security.AccessController.doPrivileged(Native Method)
	at org.openide.util.SharedClassObject.findObject(SharedClassObject.java:479)
	... 10 more
Caused by: java.lang.NoSuchMethodError: java.net.URL.toURI()Ljava/net/URI;
	at com.itgp.modules.xtt.Utility.getThisModulesRootInstallDir(Utility.java:780)
	at com.itgp.modules.xtt.XTTModuleInstall.<init>(XTTModuleInstall.java:31)
	... 18 more
Turning on modules:
	org.openide.util [6.8.1 200601251500]
	org.openide.modules [6.5.1 200601251500]
	org.openide.awt [6.7.1 200601251500]
	org.netbeans.modules.editor.util/1 [1.8.1 200601251500]
	org.openide.dialogs [6.5.1 200601251500]
	org.openide.filesystems [6.4.1 200601251500]
	org.openide.nodes [6.7.1 200601251500]
	org.openide.windows [6.5.1 200601251500]
	org.openide.options [6.4.1 200601251500]
	org.openide.text [6.9.1 200601251500]
	org.openide.explorer [6.5.1 1 200601251500]
	org.openide.actions [6.5.1 200601251500]
	org.openide.loaders [5.9.1 200601251500]
	org.netbeans.modules.editor.mimelookup/1 [1.3.1 200601251500]
	org.netbeans.modules.editor.fold/1 [1.5.1 200601251500]
	org.netbeans.modules.editor.lib/1 [1.9.1.1 1 200601251500]
	org.netbeans.modules.queries/1 [1.7.1 200601251500]
	org.openidex.util/3 [3.9.1 200601251500]
	org.netbeans.modules.editor.settings/1 [1.4.1 200601251500]
	org.netbeans.modules.editor/3 [1.26.1.1 200601251500]
	org.netbeans.modules.editor.completion/1 [1.6.1 200601251500]
	org.netbeans.modules.projectapi/1 [1.9.1 200601251500]
	org.netbeans.modules.classfile/1 [1.18.1 200601251500]
	javax.jmi.reflect/1 [1.7.1 200601251500]
	org.netbeans.jmi.javamodel/2 [1.21.1 200601251500]
	org.netbeans.api.mdr/1 [1.4.1 200601251500]
	org.netbeans.api.progress/1 [1.5.1 200601251500]
	javax.jmi.model/1 [1.7.1 200601251500]
	org.netbeans.modules.jmiutils/1 [1.5.1.2 2 200601251500]
	org.netbeans.modules.mdr/1 [1.5.1.2.2 2 200601251500]
	org.openide.io [1.9.1 200601251500]
	org.openide.execution [1.8.1 200601251500]
	org.netbeans.api.java/1 [1.10.1 200601251500]
	org.netbeans.modules.javacore/1 [1.18.1.2.2 200601251500]
	org.netbeans.modules.projectuiapi/1 [1.13.1.5 5 200601251500]
	org.netbeans.modules.project.ant/1 [1.12.1 200601251500]
	org.netbeans.modules.websvc.clientapi [1.4.1 200601251500]
	org.jdesktop.layout/1 [1.3.1 1.0 200601251500]
	org.netbeans.api.xml/1 [1.12.1 200601251500]
	org.netbeans.spi.navigator/1 [1.2.1 200601251500]
	org.netbeans.core.output2/1 [1.7.1.1 1 200601251500]
	org.netbeans.libs.formlayout/1 [1.2.1 1 200601251500]
	org.netbeans.modules.options.api/0 [1.3.1 200601251500]
	org.netbeans.bootstrap/1 [2.3.1 200601251500]
	org.netbeans.core.startup/1 [1.5.1 200601251500]
	org.netbeans.swing.plaf [1.5.1 200601251500]
	org.netbeans.core/2 [3.2.1.1 200601251500]
	org.netbeans.core.execution/1 [1.9.1 200601251500]
	org.apache.tools.ant.module/3 [3.24.1.1 1 200601251500]
	org.netbeans.modules.schema2beans/1 [1.14.1 200601251500]
	org.netbeans.modules.xml.core/2 [1.11.1.4 4 200601251500]
	org.netbeans.libs.xerces/1 [1.8.1 2.6.2 200601251500]
	org.netbeans.modules.j2ee.dd/1 [1.7.1.2 2 200601251500]
	org.netbeans.modules.j2ee.dd.webservice [1.3.1 200601251500]
	org.netbeans.modules.websvc.websvcapi [1.4.1 200601251500]
	org.netbeans.modules.java.platform/1 [1.7.1 200601251500]
	org.netbeans.modules.favorites/1 [1.11.1 200601251500]
	org.netbeans.core.ui/1 [1.9.1 200601251500]
	org.netbeans.modules.xml.catalog/2 [1.10.1.4.4 4 200601251500]
	org.netbeans.modules.masterfs/1 [1.7.1 200601251500]
	org.netbeans.modules.projectui [1.7.1.5 200601251500]
	org.openide.src [1.8.1 200601251500]
	org.netbeans.modules.editor.errorstripe.api/1 [2.2.1.1 1 200601251500]
	org.netbeans.modules.java/1 [1.25.1.2.2.2 2 200601251500]
	org.netbeans.modules.project.libraries/1 [1.13.1 200601251500]
	org.netbeans.modules.java.project/1 [1.8.1 200601251500]
	org.netbeans.modules.editor.hints/1 [1.9.1.1 1 200601251500]
	org.netbeans.spi.viewmodel/2 [1.9.1 200601251500]
	org.netbeans.api.debugger/1 [1.7.1 200601251500]
	org.netbeans.api.debugger.jpda/2 [2.4.1 200601251500]
	org.netbeans.modules.java.editor.lib/1 [1.4.1 200601251500]
	org.netbeans.modules.editor.codetemplates/1 [1.2.1 200601251500]
	org.netbeans.modules.java.editor/1 [1.4.1 200601251500]
	org.netbeans.core.multiview/1 [1.8.1 200601251500]
	org.netbeans.modules.junit/2 [2.19.1 200601251500]
	org.netbeans.modules.j2eeapis/1 [1.6.1 200601251500]
	org.netbeans.modules.settings/1 [1.10.1 200601251500]
	org.netbeans.modules.j2eeserver/4 [1.13.1 200601251500]
	org.netbeans.modules.javahelp/1 [2.8.1 200601251500]
	org.netbeans.modules.db/0 [1.16.1.3 3 200601251500]
	org.netbeans.modules.refactoring/1 [1.15.1.3.2 3 200601251500]
	org.netbeans.modules.j2ee.common/1 [1.4.1 200601251500]
	org.netbeans.modules.dbschema/1 [1.7.1.3.3 3 200601251500]
	org.netbeans.api.web.webmodule [1.6.1 200601251500]
	org.netbeans.modules.j2ee.api.ejbmodule [1.4.1 200601251500]
	org.netbeans.modules.j2ee.ejbcore [1.4.1 200601251500]
	org.netbeans.modules.j2ee.ejbjarproject [1.4.1 200601251500]
	org.netbeans.modules.tomcat5/1 [1.7.1 200601251500]
	org.netbeans.modules.tomcat5.bundled/1 [1.6.1 200601251500]
	org.netbeans.modules.servletapi/1 [1.9.1 200601251500]
	com.sun.collablet/1 [1.1.1 200602132030]
	org.netbeans.modules.collab.provider.im [1.1.0 200601252030]
	org.netbeans.modules.collab.ui/1 [1.1.3 200602152030]
	org.netbeans.modules.versioning/1 [1.3.1.1 1 200601251500]
	org.netbeans.modules.xml.schema/1 [1.11.1.4 200601251500]
	org.netbeans.modules.websvc.registry [1.3.1 200601251500]
	org.netbeans.modules.websvc.core [1.5.1.1.4 1 200601251500]
	org.netbeans.modules.websvc.dev/1 [1.5.1.1 200601251500]
	org.netbeans.modules.usersguide/1 [1.19.1 200601251500]
	org.netbeans.tasklistapi/1 [1.20.1.7 7 200601251500]
	org.netbeans.modules.tasklist.core/2 [1.37.1.16.7 16 200601251500]
	org.netbeans.modules.suggestions_framework/2 [1.15.1.9.16.7 9 200601251500]
	org.netbeans.modules.tasklist.docscan/2 [1.23.1.9.16.7 200601251500]
	org.netbeans.modules.editor.plain.lib/1 [1.3.1 200601251500]
	org.netbeans.modules.editor.plain/1 [1.3.1 200601251500]
	org.netbeans.modules.collab.channel.chat/1 [1.1.0 200601252030]
	org.netbeans.modules.collab.channel.chat.java/1 [1.1.0 200601252030]
	org.netbeans.modules.java.navigation/1 [1.2.1 200601251500]
	org.netbeans.modules.apisupport.apidocs [2.25 200601252030]
	org.netbeans.modules.extbrowser/1 [1.9.1 200601251500]
	org.netbeans.spi.debugger.ui/1 [2.8.1 200601251500]
	org.netbeans.modules.ant.debugger/1 [1.7.1.1 200601251500]
	org.netbeans.modules.apisupport.feedreader/1 [1.3.2 060322]
	org.netbeans.modules.html.editor.lib/1 [1.4.1 200601251500]
	org.netbeans.modules.java.j2seplatform/1 [1.6.1.2 2 200601251500]
	org.netbeans.modules.utilities/1 [1.21.1 200601251500]
	org.netbeans.modules.utilities.project/1 [1.5.1 200601251500]
	org.netbeans.modules.jmxri/1 [1.2.1 1 200601251500]
	org.netbeans.modules.j2ee.sun.dd/1 [1.5.1 200601251500]
	org.netbeans.modules.j2ee.sun.appsrv/1 [1.3.1 1 200601251500]
	org.netbeans.modules.j2ee.sun.ddui/1 [1.6.1 1 200601251500]
	org.netbeans.modules.derby [1.3.1 200601251500]
	org.netbeans.modules.j2ee.sun.appsrv81/1 [1.1.1.1.1 1 200601251500]
	org.netbeans.modules.j2ee.sun.avk/1 [1.1.1 200602072030]
	org.netbeans.modules.servletapi24/1 [2.6.1 2.4 200601251500]
	org.netbeans.spi.palette/0 [1.5.1 200601251500]
	org.netbeans.modules.form/2 [1.19.1 1 200601251500]
	org.netbeans.modules.properties/1 [1.17.1 200601251500]
	org.netbeans.modules.i18n/1 [1.20.1 200601251500]
	org.netbeans.modules.i18n.form/2 [1.18.1 200601251500]
	org.netbeans.modules.editor.bookmarks/1 [1.3.1 200601251500]
	org.netbeans.modules.j2ee.weblogic9/1 [1.4.1 200601251500]
	org.netbeans.modules.apisupport.ant [2.30.2 060322]
	org.netbeans.modules.ant.browsetask [1.11.1 200601251500]
	org.netbeans.modules.debugger.jpda/2 [1.16.1 200601251500]
	org.netbeans.modules.debugger.jpda.ui/1 [1.5.1 200601251500]
	org.netbeans.modules.debugger.jpda.ant [1.7.1 200601251500]
	org.netbeans.modules.xml.tax/2 [1.11.1.4.4 4 200601251500]
	org.netbeans.modules.apisupport.project [1.12.2.6.4 6 060322]
	org.netbeans.modules.apisupport.refactoring [1.3.2.6 060322]
	org.netbeans.modules.j2ee.jboss4/1 [1.4.1 200601251500]
	org.netbeans.swing.tabcontrol [1.6.1 200601251500]
	org.netbeans.core.windows/2 [2.7.1.1 200601251500]
	org.netbeans.modules.web.examples/1 [1.5.1 200601251500]
	org.openide.compat [6.4.1 200601251500]
	org.netbeans.modules.vcscore/1 [1.16.13.42 42 200601252030]
	org.netbeans.modules.vcscore.javacorebridge/1 [1.3 200601252030]
	org.netbeans.modules.diff/1 [1.15.1.42 42 200601251500]
	org.netbeans.modules.refactoring.vcs [1.4.1 1 200601252030]
	org.netbeans.modules.vcs.advanced/1 [1.16.2.42.42 200601252030]
	org.netbeans.core.ide/1 [1.9.1 200601251500]
	com.sun.collablet.moxc/1 [1.1.0 200601252030]
	org.netbeans.modules.collab.channel.filesharing/1 [1.1.5 200602132030]
	org.netbeans.libs.xmlbeans [1.0 1.0.4 200601252030]
	org.netbeans.modules.collab.channel.output/1 [1.1.0 200601252030]
	org.netbeans.modules.html.editor/1 [1.4.1 200601251500]
	org.netbeans.modules.collab.channel.chat.html/1 [1.1.0 200601252030]
	org.netbeans.modules.collab.channel.chat.text/1 [1.1.0 200601252030]
	org.netbeans.modules.editor.structure/1 [1.11.1.1 1 200601251500]
	org.netbeans.modules.xml.text/2 [1.11.1.4.4 4 200601251500]
	org.netbeans.modules.collab.channel.chat.xml/1 [1.1.0 200601252030]
	org.netbeans.modules.collab.kit/1 [1.1.0 200601252030]
	org.netbeans.modules.image/1 [1.17.1 200601251500]
	org.openide.util.enumerations [6.4.1 200601251500]
	org.netbeans.modules.java.j2seproject [1.6.1.42 42 200601251500]
	org.netbeans.modules.projectimport.jbuilder/1 [1.2 200601252030]
	org.netbeans.modules.autoupdate/1 [2.16.1 200601251500]
	org.netbeans.libs.commons_logging/1 [1.3.1 1.0.4 200601251500]
	org.netbeans.modules.tasklist.usertasks/2 [1.28.3.55.16.7 55 060506]
	org.netbeans.modules.tasklist.editor/2 [1.14.1.55 060506]
	org.netbeans.libs.jsch/1 [1.4.1 0.1.24 200601251500]
	org.netbeans.modules.db.core [1.2.1 200601251500]
	org.netbeans.modules.apisupport.paintapp [1.0.2 060322]
	org.netbeans.modules.j2ee.blueprints/1 [1.9.1 200601251500]
	org.netbeans.modules.updatecenters/1 [1.6.1 200601251500]
	org.netbeans.modules.web.debug/1 [2.8.1 200601251500]
	org.netbeans.modules.xml.tools/2 [1.11.1.4.4.4 4 200601251500]
	org.netbeans.modules.httpserver/2 [2.5.1.42 42 200601251500]
	org.netbeans.modules.java.examples/1 [1.5.1 200601251500]
	org.netbeans.modules.defaults/1 [1.2.1 200601251500]
	org.netbeans.modules.editor.errorstripe/2 [2.2.1.1.1 1 200601251500]
	org.netbeans.lib.cvsclient/1 [1.14.1 200601251500]
	org.netbeans.modules.versioning.system.cvss/1 [1.7.1.1.42.1 1 200601251500]
	org.netbeans.modules.web.monitor/1 [1.15.1 200601251500]
	org.netbeans.modules.xml.multiview/1 [1.4.1.2 2 200601251500]
	org.netbeans.modules.web.jspparser/2 [2.5.1 200601251500]
	org.netbeans.modules.web.core.syntax/1 [1.22.1 200601251500]
	org.netbeans.modules.j2ee.platform/1 [1.3.1 200601251500]
	org.netbeans.modules.web.core/1 [1.25.1.42.2 42 200601251500]
	org.netbeans.modules.xsl/1 [1.11.1.4 200601251500]
	org.netbeans.modules.j2ee.ddloaders/1 [1.6.1.2.2 200601251500]
	org.netbeans.modules.projectimport/1 [1.28.0.2.42 060419]
	org.netbeans.modules.editor.settings.storage/1 [1.4.1 200601251500]
	org.netbeans.modules.options.editor/1 [1.2.1 200601251500]
	org.netbeans.modules.j2ee.genericserver [1.4.1 200601251500]
	org.netbeans.upgrader [4.5.1 200601251500]
	org.netbeans.modules.java.hints/1 [1.10.1.1 1 200601251500]
	com.itgp.nb.xtt [5.4.5.56000 060811]
	org.netbeans.modules.web.jsf/1 [1.2.1.1 1 200601251500]
	org.netbeans.modules.ant.freeform/1 [1.10.1 200601251500]
	org.netbeans.modules.web.project [1.4.1 200601251500]
	org.netbeans.modules.web.jstl11/1 [2.6.1 1.1.2 200601251500]
	org.netbeans.modules.nbjunit/1 [1.19 200601091900]
	org.netbeans.modules.java.freeform/1 [1.5.1 200601251500]
	org.netbeans.modules.vcs.profiles.vss/1 [1.7.2 200601252030]
	org.netbeans.modules.css/2 [1.11.1 200601251500]
	org.netbeans.modules.ant.grammar/1 [1.14.1 200601251500]
	org.netbeans.modules.html/1 [1.19.1 200601251500]
	org.netbeans.modules.web.freeform [1.4.1 200601251500]
	org.netbeans.modules.websvc.jaxrpc16_xml/1 [1.0 200601252030]
	org.netbeans.modules.beans/1 [1.17.1 200601251500]
	org.netbeans.modules.j2ee.ejbfreeform [1.6.1 200601251500]
	org.netbeans.modules.j2ee.ant [1.7.1 200601251500]
	org.netbeans.modules.clazz/1 [1.19.1 200601251500]
	org.netbeans.modules.welcome/1 [1.10.1 200601251500]
	org.netbeans.modules.properties.syntax/1 [1.17.1 200601251500]
	org.netbeans.modules.javadoc/1 [1.18.1 200601251500]
	org.netbeans.modules.websvc.jaxrpc16/1 [1.2.1 200601251500]
	jindent.plugin.netbeans [4.0.8 060503]
	org.netbeans.modules.apisupport.harness [1.8.2 060322]
	org.netbeans.modules.apisupport.feature [1.1 060322]
	org.netbeans.modules.j2ee.refactoring/1 [1.5.1.42.1 200601251500]
	org.netbeans.modules.j2ee.earproject [1.5.1 200601251500]
	org.netbeans.modules.web.struts/1 [1.2.1.1 1 200601251500]
	org.netbeans.modules.db.sql.editor [1.2.1.3 200601251500]
	org.apache.tools.ant.module.docs [2.20 200601252030]
	org.netbeans.modules.vcs.profiles.cvsprofiles/1 [1.8.3.42 200601252030]
	org.netbeans.modules.j2ee.debug/1 [1.3.1 200601251500]
Turning off modules:
	org.netbeans.modules.vcs.profiles.vss/1 [1.7.2 200601252030]
	org.netbeans.modules.vcs.profiles.cvsprofiles/1 [1.8.3.42 200601252030]
	org.netbeans.modules.vcs.advanced/1 [1.16.2.42.42 200601252030]
	org.netbeans.modules.refactoring.vcs [1.4.1 1 200601252030]
	org.netbeans.modules.vcscore.javacorebridge/1 [1.3 200601252030]
	org.netbeans.modules.vcscore/1 [1.16.13.42 42 200601252030]
INFORMATIONAL *********** Exception occurred ************ at 4:41 PM on Aug 28, 2006
The module has not been deployed.
[catch] at
org.netbeans.modules.j2ee.deployment.devmodules.api.Deployment.deploy(Deployment.java:105)
	at org.netbeans.modules.j2ee.ant.Deploy.execute(Deploy.java:76)
	at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:275)
	at org.apache.tools.ant.Task.perform(Task.java:364)
	at org.apache.tools.ant.Target.execute(Target.java:341)
	at org.apache.tools.ant.Target.performTasks(Target.java:369)
	at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1216)
	at org.apache.tools.ant.Project.executeTarget(Project.java:1185)
	at
org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:40)
	at org.apache.tools.ant.Project.executeTargets(Project.java:1068)
	at org.apache.tools.ant.module.bridge.impl.BridgeImpl.run(BridgeImpl.java:234)
	at org.apache.tools.ant.module.run.TargetExecutor.run(TargetExecutor.java:287)
	at org.netbeans.core.execution.RunClassThread.run(RunClassThread.java:125)
Comment 1 Marian Mirilovic 2006-08-29 08:57:09 UTC
The problem is in 
com.itgp.modules.xtt.Utility.getThisModulesRootInstallDir

I don't what is this module for, not even where does it come from ...
Comment 2 Marian Mirilovic 2006-08-31 15:35:03 UTC
*** Issue 83336 has been marked as a duplicate of this issue. ***
Comment 3 Marian Mirilovic 2006-09-01 12:57:09 UTC
*** Issue 82869 has been marked as a duplicate of this issue. ***
Comment 4 Marian Mirilovic 2006-10-18 12:27:56 UTC
*** Issue 87388 has been marked as a duplicate of this issue. ***
Comment 5 Marian Mirilovic 2006-10-24 09:30:17 UTC
*** Issue 87806 has been marked as a duplicate of this issue. ***
Comment 6 David Simonek 2006-10-24 12:06:37 UTC
*** Issue 87605 has been marked as a duplicate of this issue. ***
Comment 7 David Simonek 2006-10-25 11:30:53 UTC
*** Issue 87943 has been marked as a duplicate of this issue. ***
Comment 8 David Simonek 2006-10-25 11:33:02 UTC
Raising priority, lots of duplicates. Whaw will we do here, what is the process
for reporting errors to 3rd party modules which we can't affect, is there any
such process?
Comment 9 Marian Mirilovic 2006-10-30 08:33:20 UTC
Robert, 
this module was build by JDK 1.5.0 although we do support JDK 1.4.2 for NB 5.0.
Is it possible to remove this module from NB 5.5 UC till the owner provide new
version ? Thanks in advance.

twojenski,
number of duplicates is increasing, means people are using your module on JDK
1.4.2. Please provide version build by JDK 1.4.2 ASAP. Thanks in advance.
Comment 10 Marian Mirilovic 2006-10-30 08:34:08 UTC
*** Issue 88202 has been marked as a duplicate of this issue. ***
Comment 11 rnovak 2006-10-30 14:17:27 UTC
I temporary removed the module from the UC. 
Module will be republished as soon a new version will be provided.
Comment 12 twojenski 2006-10-30 15:05:25 UTC
This issue is fixed in version 5.5.1 of XTT.  Submitted the request for update
to XTT v5.5.1 in the Third Party Center on 10/30.  

A link to XTT v5.5.1 from our website is:
http://www.insitechinc.com/download/5.5.1/ce/XTT-5.5.1.nbm

Action taken to resolve bug:  Recompiled XTT plugin with JDK 1.4.2
Fix platform:  NB5.0 & NB5.5



Comment 13 rnovak 2006-10-30 15:54:00 UTC
I published the new version of the modules on the Thirdparty UC for Nb 5.0
and Nb 5.5. Please, let me know if there was any problem.
Comment 14 Marian Mirilovic 2006-10-30 16:04:56 UTC
Wojciech, just to be sure it works, could you please try to download your module
and test in on both NB 5.0 as well as NB 5.5 ?

Robert, Wojciech,
Thank you very much.

Comment 15 twojenski 2006-12-05 19:54:14 UTC
Problem is resolved.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo